Skip to content

Create Fork

POST
/api/writing/documents/{document_id}/forks

Create a new fork branch from the given document (root or branch).

document_id
required
Document Id
string
CreateForkRequest

Request body for creating a new fork branch.

object
label
required
Label
string
parentForkId
Any of:
string

Successful Response

DocumentFork

Metadata for a single fork branch.

object
forkId
required
Forkid
string
rootDocumentId
required
Rootdocumentid
string
documentId
required
Documentid
string
parentForkId
required
Any of:
string
label
required
Label
string
status
required
ForkStatus

Status of a fork branch.

string
Allowed values: active archived
forkPointVersion
required
Any of:
integer
forkPointWordCount
required
Forkpointwordcount
integer
sortOrder
required
Sortorder
integer
wordCount
required
Wordcount
integer
createdAt
required
Createdat
integer
modifiedAt
required
Modifiedat
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object